summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Reza Talebi2020-02-08 02:28:17 +0100
committer Willy Sudiarto Raharjo2020-02-08 02:28:17 +0100
commit7879736d95bf6d938f4421462093df0e299e6ee9 (patch)
treea4a0b3389420c0c906306f686c3150365d79e634 /system
parentc6eb894623ce24cd8ea14385d6e0b17f1f5613fe (diff)
downloadslackbuilds-7879736d95bf6d938f4421462093df0e299e6ee9.tar.gz
system/powershell: Added (command-line shell).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/powershell/README5
-rw-r--r--system/powershell/doinst.sh2
-rw-r--r--system/powershell/powershell.SlackBuild75
-rw-r--r--system/powershell/powershell.info10
-rw-r--r--system/powershell/slack-desc19
5 files changed, 111 insertions, 0 deletions
diff --git a/system/powershell/README b/system/powershell/README
new file mode 100644
index 0000000000..e02a8b77e6
--- /dev/null
+++ b/system/powershell/README
@@ -0,0 +1,5 @@
+PowerShell is a task-based command-line shell and scripting language
+built on .NET. PowerShell helps system administrators and power-users
+rapidly automate tasks that manage operating systems (Linux, macOS, and Windows) and processes.
+
+After installing, you can start using PowerShell by typing "pwsh" in the Terminal.
diff --git a/system/powershell/doinst.sh b/system/powershell/doinst.sh
new file mode 100644
index 0000000000..4b87024f0b
--- /dev/null
+++ b/system/powershell/doinst.sh
@@ -0,0 +1,2 @@
+chmod +x /opt/microsoft/powershell/pwsh
+ln -s /opt/microsoft/powershell/pwsh /usr/bin/pwsh
diff --git a/system/powershell/powershell.SlackBuild b/system/powershell/powershell.SlackBuild
new file mode 100644
index 0000000000..0794a0c0ed
--- /dev/null
+++ b/system/powershell/powershell.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+#
+# Slackware build script for powershell.
+#
+# Copyright 2019 Reza Talebi, Shahin Shahr, Iran.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=powershell
+VERSION=${VERSION:-6.2.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+
+set -e
+
+if [ "$( uname -m )" = "x86_64" ]; then
+ ARCH="x86_64"
+ ARCHITECTURE="x64"
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ BITS="amd64"
+else
+ echo "Package for $(uname -m) architecture is not available."
+ exit 1
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-${VERSION}-${BUILD}
+mkdir -p $PRGNAM-${VERSION}-${BUILD}
+cd $PKG
+mkdir -p opt/microsoft/powershell
+tar -zxf $CWD/$PRGNAM-${VERSION}-linux-${ARCHITECTURE}.tar.gz -C opt/microsoft/powershell
+chown -R root:root opt/microsoft/powershell
+
+mkdir -p usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg --linkadd y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/powershell/powershell.info b/system/powershell/powershell.info
new file mode 100644
index 0000000000..ffaee9030e
--- /dev/null
+++ b/system/powershell/powershell.info
@@ -0,0 +1,10 @@
+PRGNAM="powershell"
+VERSION="6.2.4"
+HOMEPAGE="https://www.microsoft.com/powershell/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/PowerShell/PowerShell/releases/download/v6.2.4/powershell-6.2.4-linux-x64.tar.gz"
+MD5SUM_x86_64="fabec3658a95cd81ca715b7d1cb35cea"
+REQUIRES=""
+MAINTAINER="Reza Talebi"
+EMAIL="reza.talebi.73@outlook.com"
diff --git a/system/powershell/slack-desc b/system/powershell/slack-desc
new file mode 100644
index 0000000000..49afa85822
--- /dev/null
+++ b/system/powershell/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+powershell: powershell (A task-based command-line shell and scripting language)
+powershell:
+powershell: PowerShell is a task-based command-line shell and scripting language
+powershell: built on .NET. PowerShell helps system administrators and power-users
+powershell: rapidly automate tasks that manage operating systems (Linux, macOS,
+powershell: and Windows) and processes.
+powershell: PowerShell base source code is now available in GitHub
+powershell: and open to community contributions.
+powershell:
+powershell: https://www.microsoft.com/powershell/
+powershell: